CREATE TABLE hrsa_variable_archive (
  id NUMBER(38,0) NOT NULL,
  employee_id NUMBER(38,0) NULL ,
  salary_month DATE NULL,
  create_time DATE NOT NULL,
  update_time DATE NOT NULL,
  creator NUMBER(38,0) NOT NULL,
  delete_type int NOT NULL,
  tenant_key varchar2(10) NULL,
  PRIMARY KEY (id)
);
/

CREATE TABLE hrsa_variable_archive_item  (
  id NUMBER(38,0) NOT NULL,
  employee_id NUMBER(38,0) NOT NULL,
  variable_archive_id NUMBER(38,0) NOT NULL,
  variable_item_id NUMBER(38,0) NOT NULL,
  item_value varchar2(255) NULL ,
  create_time DATE NOT NULL ,
  update_time DATE NOT NULL,
  creator NUMBER(38,0) NOT NULL,
  delete_type int NOT NULL ,
  tenant_key varchar2(10)  NULL,
  PRIMARY KEY (id)
);
/

CREATE TABLE hrsa_variable_item  (
  id NUMBER(38,0) NOT NULL ,
  name varchar2(255) NOT NULL ,
  code varchar2(255) NOT NULL,
  data_type varchar2(20) NULL,
  create_time DATE NOT NULL,
  update_time DATE NOT NULL,
  creator NUMBER(38,0) NOT NULL,
  delete_type int NOT NULL,
  tenant_key varchar2(10) NULL ,
  PRIMARY KEY (id)
);
/

